ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Stg.Lift.Config

Description

Configuration options for Lift the lambda lifter.

# Documentation

data StgLiftConfig Source #

Constructors

StgLiftConfig |

Fields

- c_targetProfile :: !Profile
- c_liftLamsRecArgs :: !(Maybe Int)

  Maximum number of arguments after lambda lifting a recursive function.

- c_liftLamsNonRecArgs :: !(Maybe Int)

  Maximum number of arguments after lambda lifting non-recursive function.

- c_liftLamsKnown :: !Bool

  Lambda lift even when this turns a known call into an unknown call.

#### Instances

Instances details

Read StgLiftConfig Source # |
Instance details Defined in GHC.Stg.Lift.Config Methods readsPrec :: Int -> ReadS StgLiftConfig Source # readList :: ReadS [StgLiftConfig] Source # readPrec :: ReadPrec StgLiftConfig Source # readListPrec :: ReadPrec [StgLiftConfig] Source #
Show StgLiftConfig Source # |
Instance details Defined in GHC.Stg.Lift.Config Methods showsPrec :: Int -> StgLiftConfig -> ShowS Source # show :: StgLiftConfig -> String Source # showList :: [StgLiftConfig] -> ShowS Source #
Eq StgLiftConfig Source # |
Instance details Defined in GHC.Stg.Lift.Config Methods (==) :: StgLiftConfig -> StgLiftConfig -> Bool # (/=) :: StgLiftConfig -> StgLiftConfig -> Bool #
Ord StgLiftConfig Source # |

Instance details

Defined in GHC.Stg.Lift.Config

Methods

compare :: StgLiftConfig -> StgLiftConfig -> Ordering #

(<) :: StgLiftConfig -> StgLiftConfig -> Bool #

(<=) :: StgLiftConfig -> StgLiftConfig -> Bool #

(>) :: StgLiftConfig -> StgLiftConfig -> Bool #

(>=) :: StgLiftConfig -> StgLiftConfig -> Bool #

max :: StgLiftConfig -> StgLiftConfig -> StgLiftConfig #

min :: StgLiftConfig -> StgLiftConfig -> StgLiftConfig #